Class Fox::FXBitmap

In: | FXBitmap.rb
Parent: | FXDrawable

A bitmap is a one bit/pixel image used for patterning and stippling operations.

### Image rendering hints

`BITMAP_KEEP`: | Keep pixel data in client
`BITMAP_OWNED`: | Pixel data is owned by image
`BITMAP_SHMI`: | Using shared memory image
`BITMAP_SHMP`: | Using shared memory pixmap

Methods

getPixel loadPixels new render savePixels setPixel

Public Class methods

new(app, pixels=nil, opts=0, width=1, height=1) {|theBitmap| ...}

Create a bitmap

Public Instance methods

render()

Render pixels

savePixels(stream)

Save pixel data only

loadPixels(stream)

Load pixel data from a stream

getPixel(x, y)

Get pixel state (either `true` or `false`) at (x, y)

setPixel(x, y, color)

Change pixel at (x, y), where color is either `true` or `false`.